/*!\file:  ExternalResult.h
 * \brief abstract class for ExternalResult object
 */ 


#ifndef _EXTERNALRESULT_H_
#define _EXTERNALRESULT_H_

/*Headers:*/
/*{{{*/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include "../Object.h"
#include "../Node.h"
/*}}}*/

class ExternalResult: public Object{

	public: 
		
		virtual        ~ExternalResult(){};
		/*Virtual functions:{{{*/
		virtual int   InstanceEnum()=0;
		virtual void  WriteData(FILE* fid,bool io_gather)=0;
		virtual void  GetResultName(char**)=0;
		virtual int   GetStep(void)=0;
		/*}}}*/
};
#endif
